Skip to main content
GET
/
v2
/
item-filters
/
{id}
Retrieve an Item filter
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/item-filters/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "087394d4-83b5-4722-8c5e-0235362c12f5",
  "name": "Allocation data fields available and deposit switches supported",
  "filters": {
    "status": {
      "eq": "healthy"
    },
    "field_coverage": {
      "deposit_destinations": {
        "ach_deposit_account": {
          "routing_number": {
            "supported": {
              "eq": true
            }
          },
          "account_number": {
            "supported": {
              "eq": true
            }
          },
          "account_type": {
            "supported": {
              "eq": true
            }
          }
        },
        "status": {
          "supported": {
            "eq": true
          }
        },
        "allocation_type": {
          "supported": {
            "eq": true
          }
        }
      }
    },
    "direct_deposit_switch": {
      "deposit_account": {
        "supported": {
          "eq": true
        },
        "max_allocations": {
          "gte": "1"
        },
        "amount_allocation": {
          "eq": true
        },
        "percent_allocation": {
          "eq": true
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

id
string<uuid>
required

ID of the Item filter to be retrieved.

Response

200 - application/json
id
string

The ID of the item filter.

Example:

"087394d4-83b5-4722-8c5e-0235362c12f5"

name
string

The name of the item filter.

Example:

"Allocation data fields available and deposit switches supported"

filters
object

The filters applied to this item filter.

Example:
{
"status": { "eq": "healthy" },
"field_coverage": {
"deposit_destinations": {
"ach_deposit_account": {
"routing_number": { "supported": { "eq": true } },
"account_number": { "supported": { "eq": true } },
"account_type": { "supported": { "eq": true } }
},
"status": { "supported": { "eq": true } },
"allocation_type": { "supported": { "eq": true } }
}
},
"direct_deposit_switch": {
"deposit_account": {
"supported": { "eq": true },
"max_allocations": { "gte": "1" },
"amount_allocation": { "eq": true },
"percent_allocation": { "eq": true }
}
}
}